Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Database..::.Upgrade Method (String, DatabaseConfig)
Database Class See Also Send Feedback

Upgrade all of the databases included in the file file, if necessary. If no upgrade is necessary, Upgrade always returns successfully.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public static void Upgrade(
    	string file,
    	DatabaseConfig cfg
    )

Visual Basic (Declaration)
    Public Shared Sub Upgrade ( _
    	file As String, _
    	cfg As DatabaseConfig _
    )

Visual C++
    public:
    static void Upgrade(
    	String^ file,
    	DatabaseConfig^ cfg
    )

#### Parameters

file
  Type: System..::.String
  The physical file containing the databases to be upgraded.

cfg
  Type: BerkeleyDB..::.DatabaseConfig
  Configuration parameters for the databases to be upgraded.

# See Also

Database Class
Upgrade Overload
BerkeleyDB Namespace